# studio::CanvasView::IsWorking Class Reference

Create an instance of this class whenever doing a longer task. More...

`#include <canvasview.h>`

List of all members.

## Public Member Functions

| IsWorking (CanvasView &canvas_view_)
| ~IsWorking ()
| operator bool () const

## Detailed Description

Create an instance of this class whenever doing a longer task.

Make sure that you check the bool value of this class occasionally to make sure the action has not been canceled.

## Constructor & Destructor Documentation

CanvasView::IsWorking::IsWorking | ( | CanvasView & | canvas_view_ | ) |

References studio::CanvasView::cancel, studio::CanvasView::stopbutton, and studio::CanvasView::working_depth.

CanvasView::IsWorking::~IsWorking | ( |  | ) |

References studio::CanvasView::stopbutton, and studio::CanvasView::working_depth.

## Member Function Documentation

CanvasView::IsWorking::operator bool | ( |  | ) | const

References studio::CanvasView::cancel.

The documentation for this class was generated from the following files:

- canvasview.h
- canvasview.cpp